import { defineTable } from 'convex/server';
import { v } from 'convex/values';

export const produtosTables = {
	produtos: defineTable({
		nome: v.string(),
		valorEstimado: v.string(),
		tipo: v.union(v.literal('servico'), v.literal('estrutura'), v.literal('insumo')),
		criadoPor: v.id('usuarios'),
		criadoEm: v.number()
	})
		.searchIndex('search_nome', { searchField: 'nome' })
		.index('by_nome', ['nome'])
		.index('by_tipo', ['tipo']),

	acoes: defineTable({
		nome: v.string(),
		tipo: v.union(v.literal('projeto'), v.literal('lei')),
		criadoPor: v.id('usuarios'),
		criadoEm: v.number()
	})
		.index('by_nome', ['nome'])
		.index('by_tipo', ['tipo'])
};
